import "./tasks/cp_bam.wdl" as cp_bam
import "./tasks/bedtools.wdl" as bedtools

workflow {{ project_name }} {

	File input_samples_file
	File bed_file
	Array[Array[File]] input_samples = read_tsv(input_samples_file)
    
	scatter (sample in input_samples) {
		call cp_bam.cp_bam as cp_bam {
			input:
			bam=sample[0]

		}

		call bedtools.bedtools as bedtools {
			input:
			bam=cp_bam.tmp_bam,
			bed_file=bed_file

		}
	}
}

